io.undertow.server.handlers.proxy.mod_cluster

## Class NodeConfig.NodeBuilder

- java.lang.Object
- - io.undertow.server.handlers.proxy.mod_cluster.NodeConfig.NodeBuilder

Enclosing class:
  NodeConfig

    public static class NodeConfig.NodeBuilder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`NodeConfig` `build()`
`int` `getWaitWorker()`
`NodeConfig.NodeBuilder` `setBalancer(String balancer)`
`NodeConfig.NodeBuilder` `setCacheConnections(int cacheConnections)`
`NodeConfig.NodeBuilder` `setDomain(String domain)`
`NodeConfig.NodeBuilder` `setFlushPackets(boolean flushPackets)`
`NodeConfig.NodeBuilder` `setFlushwait(int flushwait)`
`NodeConfig.NodeBuilder` `setHostname(String hostname)`
`NodeConfig.NodeBuilder` `setJvmRoute(String jvmRoute)`
`NodeConfig.NodeBuilder` `setMaxConnections(int maxConnections)`
`NodeConfig.NodeBuilder` `setPing(int ping)`
`NodeConfig.NodeBuilder` `setPort(int port)`
`NodeConfig.NodeBuilder` `setQueueNewRequests(boolean queueNewRequests)`
`NodeConfig.NodeBuilder` `setRequestQueueSize(int requestQueueSize)`
`NodeConfig.NodeBuilder` `setSmax(int smax)`
`NodeConfig.NodeBuilder` `setTimeout(int timeout)`
`NodeConfig.NodeBuilder` `setTtl(long ttl)`
`NodeConfig.NodeBuilder` `setType(String type)`
`void` `setWaitWorker(int waitWorker)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setHostname

    public NodeConfig.NodeBuilder setHostname(String hostname)

#### setPort

    public NodeConfig.NodeBuilder setPort(int port)

#### setType

    public NodeConfig.NodeBuilder setType(String type)

#### setBalancer

    public NodeConfig.NodeBuilder setBalancer(String balancer)

#### setDomain

    public NodeConfig.NodeBuilder setDomain(String domain)

#### setJvmRoute

    public NodeConfig.NodeBuilder setJvmRoute(String jvmRoute)

#### setFlushPackets

    public NodeConfig.NodeBuilder setFlushPackets(boolean flushPackets)

#### setFlushwait

    public NodeConfig.NodeBuilder setFlushwait(int flushwait)

#### setPing

    public NodeConfig.NodeBuilder setPing(int ping)

#### setSmax

    public NodeConfig.NodeBuilder setSmax(int smax)

#### setMaxConnections

    public NodeConfig.NodeBuilder setMaxConnections(int maxConnections)

#### setCacheConnections

    public NodeConfig.NodeBuilder setCacheConnections(int cacheConnections)

#### setRequestQueueSize

    public NodeConfig.NodeBuilder setRequestQueueSize(int requestQueueSize)

#### setQueueNewRequests

    public NodeConfig.NodeBuilder setQueueNewRequests(boolean queueNewRequests)

#### setTtl

    public NodeConfig.NodeBuilder setTtl(long ttl)

#### setTimeout

    public NodeConfig.NodeBuilder setTimeout(int timeout)

#### build

    public NodeConfig build()
                     throws URISyntaxException

Throws:
  `URISyntaxException`

#### setWaitWorker

    public void setWaitWorker(int waitWorker)

#### getWaitWorker

    public int getWaitWorker()